> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener IP dedicada

> Obtenga un detalle IP dedicado.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.es.json GET /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}:
    get:
      tags:
        - public-accounts
        - public-dedicated-ips
      summary: Obtener IP dedicada
      description: Obtenga un detalle IP dedicado.
      operationId: >-
        get_public_dedicated_ip_v1_public_accounts__account_id__dedicated_ips__dedicated_ip_id__get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: dedicated_ip_id
          required: true
          schema:
            format: uuid
            title: Dedicated Ip Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDedicatedIpResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Error de validación
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicDedicatedIpResponse:
      properties:
        asn:
          anyOf:
            - type: integer
            - type: 'null'
          description: Número del sistema autónomo para la asignación
          title: ASN
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          description: Código de país ISO para la asignación
          title: Código del país
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Marca de tiempo de creación
          title: Creado el
        id:
          description: Dedicado IP UUID
          format: uuid
          title: ID
          type: string
        ip_addresses:
          description: Direcciones públicas en esta asignación
          items:
            $ref: '#/components/schemas/PublicDedicatedIpAddressResponse'
          title: Direcciones IP
          type: array
        name:
          description: Nombre IP dedicado visible para el cliente
          title: Nombre
          type: string
        status:
          description: Estado de aprovisionamiento o ciclo de vida
          title: Estado
          type: string
        type:
          description: Tipo de asignación IP dedicada
          title: Tipo
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Marca de tiempo de la última actualización
          title: Actualizado el
      required:
        - id
        - name
        - status
        - type
      title: PublicDedicatedIpResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detalle
          type: array
      title: HTTPValidationError
      type: object
    PublicDedicatedIpAddressResponse:
      description: >-
        Metadatos de direcciones públicas dedicadas-IP sin señales de
        reputación.
      properties:
        fcrdns_confirmed:
          default: false
          description: Si se aprobó el DNS inverso confirmado hacia adelante
          title: Fcrdns confirmado
          type: boolean
        healthy:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Estado de salud actual cuando esté disponible
          title: Correcto
        ip:
          description: Dirección pública IP
          title: IP
          type: string
        rdns:
          anyOf:
            - type: string
            - type: 'null'
          description: Invierta el nombre de host DNS cuando esté configurado
          title: rDNS
      required:
        - ip
      title: PublicDedicatedIpAddressResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Ubicación
          type: array
        msg:
          title: Mensaje
          type: string
        type:
          title: Tipo de error
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````